/*!
 * loopRotate.js
 * author: Brent M. Dingle
 * last modified: 2015
 * Example script to illustrate for-loop and image rotation
 *
 */
 
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// theProgram (singleton) Object                            theProgram Object
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
var theProgram = 
{
    // ------------------------------------------------------------------------
    // Main method/function
    // Initializes global variables, runs main program
    // Call this on window load --> theProgram.Main()
    // ------------------------------------------------------------------------
    Main: function() 
    {
        // "myCanvas" refers to the canvas id="myCanvas" seen in the body section of the HTML document
        theCanvas = document.getElementById("myCanvas");
        ctx = theCanvas.getContext("2d");
        
        // grey background
        ctx.fillStyle="#aaaaaa";
        ctx.fillRect(0, 0, 320, 240);

        // for subsequent boxes:
        ctx.fillStyle="#00ffff";
        ctx.lineWidth = 3;

        for (var i = 0; i < 50; i++) 
        {
            var t = i / 50.0; // time parameter [0..1)

            ctx.setTransform(1,0,0,1,0,0); // reset to identity

            ctx.translate(10 + 270 * t, 210 - 120 * t);
            ctx.scale(1 + t * 1.5, 1 + t * 1.5);
            ctx.rotate(3.5 * t);

            ctx.beginPath();
            ctx.rect(0, 0, 30, 20);
            ctx.stroke();
            ctx.fill();
            ctx.closePath();
        }        
    },
    
};  // end theProgram variable

// ----------------------------------------------------------------------------
//                                                          window.ONLOAD
// ----------------------------------------------------------------------------
window.onload = function()
{
    //console.log("DEBUG: window.onload entered");

    // Initialize and Start the game
    theProgram.Main();
};

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// end of file
    